Ask Your Question
0

UDOO + gscam + opencv

asked 2014-08-05 10:08:32 -0500

Duy Nguyen gravatar image

Hi everyone, I am working on UDOO board. I installed the Udoobuntu (actually it is Lubuntu 12.04 with more packages) for my board. I am making making UDOO work on ROS (Hydro) + Webcam (Logitech) + OpenCV. Yesterday when I installed gscam package (ros-hydro-gscam) on UDOO board. At the end of the process, they issued the error: Errors were encountered while processing: python-wstool. What does mean? And my webcam also doesn't work on OpenCV! Have anyone had the same problem! And what should I do!

Thank you!

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2014-08-06 03:48:26 -0500

Duy Nguyen gravatar image

updated 2014-08-06 03:49:07 -0500

Hi Ahendrix, Thank you for your reply! :) Actually, I have justre-installed everything with new Lubuntu and ROS again; and they issued the error when I executed the command

$sudo apt-get install python-rosinstall -f

Reading package lists... Done Building dependency tree Reading state information... Done 0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded. 2 not fully installed or removed. After this operation, 0 B of additional disk space will be used. dpkg: dependency problems prevent configuration of python-wstool: python-wstool depends on python:any (>= 2.7.1-0ubuntu2). dpkg: error processing python-wstool (--configure): dependency problems - leaving unconfigured No apport report written because the error message indicates its a followup error from a previous failure. dpkg: dependency problems prevent configuration of python-rosinstall: python-rosinstall depends on python-wstool (>= 0.1.1); however: Package python-wstool is not configured yet. dpkg: error processing python-rosinstall (--configure): dependency problems - leaving unconfigured No apport report written because the error message indicates its a followup error from a previous failure. Errors were encountered while processing: python-wstool python-rosinstall E: Sub-process /usr/bin/dpkg returned an error code (1)

Thank!

edit flag offensive delete link more

Comments

Please edit your original question rather and adding more information in an answer.

ahendrix gravatar image ahendrix  ( 2014-08-06 03:51:12 -0500 )edit
0

answered 2014-08-05 11:04:27 -0500

ahendrix gravatar image

updated 2014-08-06 03:53:55 -0500

I've seen a couple of small ARM boards that don't come with the camera drivers pre-installed. You should check the kernel logs (dmesg) to make sure that the camera is detected and the driver is loaded properly.

The errors you've included about failing to install packages are incomplete. Please include the FULL error log or the output from running sudo apt-get install -f

EDIT

It looks like you've put the system into a situation where it is expecting a version of python that isn't available. I find this a bit odd, because apt shouldn't let you put the system into this state. Did you try to install python-wstool using dpkg?

Which version of python do you have installed? (hint: run dpkg -l python)

edit flag offensive delete link more

Comments

I have the same problem, with the only difference that I need to use pointgrey camera driver. My Python version is 2.7.3, can anyone help me?

simone87 gravatar image simone87  ( 2015-10-23 08:15:08 -0500 )edit

@simone87 : I don't really think you have the same issue. I suggest you ask a new question.

ahendrix gravatar image ahendrix  ( 2015-10-23 15:55:35 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2014-08-05 10:08:32 -0500

Seen: 509 times

Last updated: Aug 06 '14